#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from pathlib import Path
from typing import Any
from .bakery_api.v1 import OS, FileGenerator, Plugin, register


def get_spit_defender_threats_files(conf: Any) -> FileGenerator:
    yield Plugin(base_os=OS.WINDOWS, source=Path("spit_defender_threats.ps1"))


register.bakery_plugin(
    name="spit_defender_threats_bakery",
    files_function=get_spit_defender_threats_files,
)