#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from cmk.gui.i18n import _
from cmk.gui.plugins.wato import (
    HostRulespec,
    rulespec_registry,
)
from cmk.gui.cee.plugins.wato.agent_bakery.rulespecs.utils import RulespecGroupMonitoringAgentsWindowsAgent
from cmk.gui.valuespec import (
    DropdownChoice,)


def _valuespec_spit_defender_state_bakery():
    return DropdownChoice(
        title=_("Defender / SCEP threats"),
        help=_("This plugin monitors the Windows Defender or System Center Endpoint Protection (SCEP) threats "
               "on Window hosts."),
        choices=[
            (True, _("Deploy plugin for Windows Defender / SCEP threats")),
            (None, _("Do not deploy plugin for Windows Defender / SCEP threats")),
        ],
    )


rulespec_registry.register(
    HostRulespec(
        group=RulespecGroupMonitoringAgentsWindowsAgent,
        name="agent_config:spit_defender_threats_bakery",
        valuespec=_valuespec_spit_defender_state_bakery,
    ))
